stages:
  - build
  - test
  - deploy

building_stage:
  stage: build
  script:
    - pacman -Syu --noconfirm gcc
    - g++ genesis.cpp -o mybinary
  artifacts:
    paths:
      - mybinary

testing_stage:
  stage: test
  dependencies: 
    - building_stage
  script:
    - chmod +x test.sh
    - ./test.sh

page:
  stage: deploy
  image: archlinux
  script:
    - pacman -Syy --noconfirm git openssh
    - mkdir -p ~/.ssh/
    - echo "$DEPLOY_KEY_PRIVATE" > ~/.ssh/id_rsa
    - echo "$DEPLOY_KEY_PUB" > ~/.ssh/id_rsa.pub
    - echo "$KNOWN_HOSTS" > ~/.ssh/known_hosts
    - chmod 400 ~/.ssh/id_rsa.pub
    - chmod 400 ~/.ssh/id_rsa
    - cd /
    - git clone git@git.rwth-aachen.de:"$CI_PROJECT_NAMESPACE"/"$CI_PROJECT_NAME"-page.git
    - cd "$CI_PROJECT_NAME"-page/
    - touch content/post/test_post.md
    - git config --global user.name "$GITLAB_USER_LOGIN"
    - git config --global user.email "$GITLAB_USER_EMAIL"
    - git add . && git commit -m "New experiment run" && git push origin master
